Package com.smartgwt.logicalstructure.widgets.tab

# Class TabSetLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.tab.TabSetLogicalStructure

public class TabSetLogicalStructure extends CanvasLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `addTabButtonIcon`
  `String`
  `animateTabScrolling`
  `String`
  `ariaCloseableSuffix`
  `String`
  `canAddTabs`
  `String`
  `canCloseTabs`
  `String`
  `canEditTabTitles`
  `String`
  `canReorderTabs`
  `String`
  `closeTabIcon`
  `String`
  `closeTabIconSize`
  `String`
  `defaultTabHeight`
  `String`
  `defaultTabWidth`
  `String`
  `destroyPanes`
  `String`
  `editProxyConstructor`
  `String`
  `locateTabsBy`
  `String`
  `moreTabCount`
  `String`
  `moreTabImage`
  `String`
  `moreTabTitle`
  `String`
  `paneContainerClassName`
  `String`
  `paneContainerOverflow`
  `String`
  `paneMargin`
  `String`
  `pickerButtonHSrc`
  `String`
  `pickerButtonSize`
  `String`
  `pickerButtonSrc`
  `String`
  `pickerButtonVSrc`
  `String`
  `scrollerButtonSize`
  `String`
  `scrollerHSrc`
  `String`
  `scrollerSrc`
  `String`
  `scrollerVSrc`
  `String`
  `selectedTabAsString`
  `Tab`
  `selectedTabAsTab`
  `String`
  `showMoreTab`
  `String`
  `showPaneContainerEdges`
  `String`
  `showPartialEdges`
  `String`
  `showTabBar`
  `String`
  `showTabPicker`
  `String`
  `showTabScroller`
  `String`
  `simpleTabBaseStyle`
  `String`
  `simpleTabIconOnlyBaseStyle`
  `String`
  `skinImgDir`
  `String`
  `symmetricEdges`
  `String`
  `symmetricPickerButton`
  `String`
  `symmetricScroller`
  `String`
  `tabBarAlignAsString`
  `String[]`
  `tabBarControls`
  `String`
  `tabBarPosition`
  `String`
  `tabBarThickness`
  `Tab[]`
  `tabs`
  `String`
  `titleEditEvent`
  `String`
  `titleEditorLeftOffset`
  `String`
  `titleEditorRightOffset`
  `String`
  `titleEditorTopOffset`
  `String`
  `touchPickerButtonSize`
  `String`
  `useIOSTabs`
  `String`
  `useSimpleTabs`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure

  `accessKey, adaptiveHeightPriority, adaptiveWidthPriority, alwaysManageFocusNavigation, alwaysShowScrollbars, animateAcceleration, animateFadeTime, animateHideAcceleration, animateHideTime, animateMoveAcceleration, animateMoveTime, animateRectAcceleration, animateRectTime, animateResizeAcceleration, animateResizeLayoutMode, animateResizeTime, animateScrollAcceleration, animateScrollTime, animateShowAcceleration, animateShowTime, animateTime, appImgDir, ariaRole, autoMaskComponents, autoParent, autoPopulateData, autoRevertStyles, autoShowParent, backgroundColor, backgroundImage, backgroundPosition, backgroundRepeat, border, borderRadiusAsString, canAcceptDrop, canAdaptHeight, canAdaptWidth, canDrag, canDragReposition, canDragResize, canDragScroll, canDrop, canDropBefore, canDropContent, canDropFiles, canFocus, canHover, canSelectText, canvasItem, childrenAsCanvasArray, childrenAsStringArrayArray, childrenResizeSnapAlign, childrenSnapAlign, childrenSnapCenterAlign, childrenSnapEdgeAlign, childrenSnapResizeToGrid, childrenSnapToGrid, contents, contentsComponentDefaults, contextMenu, correctZoomOverflow, cursor, dataContext, dataPath, defaultHeight, defaultWidth, deferActionConversion, definingProperty, definingPropertyNameOptions, destroyed, destroying, disabled, disabledCursor, disableTouchScrollingForDrag, doubleClickDelay, dragAppearance, dragIntersectStyle, dragMaskType, dragMaxHeight, dragMaxWidth, dragMinHeight, dragMinWidth, dragOpacity, dragRepositionAppearance, dragRepositionCursor, dragResizeAppearance, dragScrollDelay, dragStartDistance, dragTargetAsCanvas, dragTargetAsString, dragType, dropTargetAsCanvas, dropTargetAsString, dropTypesAsStringArrayArray, dynamicContents, edgeBackgroundColor, edgeCenterBackgroundColor, edgeImage, edgeMarginSize, edgeOffset, edgeOpacity, edgeShowCenter, edgeSize, editNode, enableWhen, endLine, extraSpace, floatingScrollbars, forwardSVGeventsToObject, groupBorderCSS, groupLabelBackgroundColor, groupLabelStyleName, groupPadding, groupTitle, heightAsString, hideUsingDisplayNone, hoverAlign, hoverAutoDestroy, hoverAutoFitMaxWidthAsString, hoverAutoFitWidth, hoverDelay, hoverFocusKey, hoverHeight, hoverMoveWithMouse, hoverOpacity, hoverPersist, hoverScreen, hoverStyle, hoverVAlign, hoverWidth, hoverWrap, htmlElementAsString, htmlPosition, ID, isGroup, isPrinting, isRuleScope, isSnapAlignCandidate, keepInParentRectAsString, layoutAlignAsString, leaveGroupLabelSpace, leavePageSpace, leftAsString, locateByIDOnly, locateChildrenBy, locateChildrenType, locatePeersBy, locatePeersType, locatorName, margin, masterElement, matchElement, matchElementHeight, matchElementWidth, maxHeight, maxWidth, maxZoomOverflowError, menuConstructorAsString, minHeight, minNonEdgeSize, minWidth, momentumScrollMinSpeed, mouseStillDownDelay, mouseStillDownInitialDelay, name, nativeAutoHideScrollbars, noDoubleClicks, noDropCursor, opacity, overflow, padding, parentCanvasAsCanvas, parentCanvasAsString, parentElementAsCanvas, parentElementAsString, peers, pendingMarkerStyle, pendingMarkerVisible, percentBox, percentSource, persistentMatchElement, pointerSettings, pointerTargetAsString, position, printChildrenAbsolutelyPositioned, printStyleName, prompt, proportionalResizeModifiers, proportionalResizing, receiveScrollbarEvents, redrawOnResize, resizeBarTarget, resizeFrom, ruleScope, scrollbarSize, shadowColor, shadowDepth, shadowHOffset, shadowImage, shadowOffset, shadowSoftness, shadowSpread, shadowVOffset, shareCriteria, shouldPrint, showCustomScrollbars, showDragShadow, showEdges, showFocusOutline, showHover, showHoverComponents, showPointer, showResizeBar, showShadow, showSnapGrid, shrinkElementOnHide, singleDiv, sizeMayChangeOnRedraw, snapAlignCandidates, snapAlignCenterLineStyle, snapAlignEdgeLineStyle, snapAxis, snapEdge, snapGridStyle, snapHDirection, snapHGap, snapOffsetLeft, snapOffsetTop, snapOnDrop, snapResizeToAlign, snapResizeToGrid, snapTo, snapToAlign, snapToCenterAlign, snapToEdgeAlign, snapToGrid, snapVDirection, snapVGap, startLine, styleName, suppressRedraw, tabIndex, testDataContext, topAsString, topElement, updateTabPositionOnDraw, updateTabPositionOnReparent, useBackMask, useCSSShadow, useDataContextCriteria, useDragMask, useGeneratedStyles, useImageForSVG, useNativeDrag, useOpacityFilter, useTouchScrolling, valuesManagerAsString, valuesManagerAsValuesManager, visibility, visibleWhen, widthAsString, workflows`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TabSetLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### addTabButtonIcon

    public String addTabButtonIcon

  - ### animateTabScrolling

    public String animateTabScrolling

  - ### ariaCloseableSuffix

    public String ariaCloseableSuffix

  - ### canAddTabs

    public String canAddTabs

  - ### canCloseTabs

    public String canCloseTabs

  - ### canEditTabTitles

    public String canEditTabTitles

  - ### canReorderTabs

    public String canReorderTabs

  - ### closeTabIcon

    public String closeTabIcon

  - ### closeTabIconSize

    public String closeTabIconSize

  - ### defaultTabHeight

    public String defaultTabHeight

  - ### defaultTabWidth

    public String defaultTabWidth

  - ### destroyPanes

    public String destroyPanes

  - ### editProxyConstructor

    public String editProxyConstructor

  - ### locateTabsBy

    public String locateTabsBy

  - ### moreTabCount

    public String moreTabCount

  - ### moreTabImage

    public String moreTabImage

  - ### moreTabTitle

    public String moreTabTitle

  - ### paneContainerClassName

    public String paneContainerClassName

  - ### paneContainerOverflow

    public String paneContainerOverflow

  - ### paneMargin

    public String paneMargin

  - ### pickerButtonHSrc

    public String pickerButtonHSrc

  - ### pickerButtonSize

    public String pickerButtonSize

  - ### pickerButtonSrc

    public String pickerButtonSrc

  - ### pickerButtonVSrc

    public String pickerButtonVSrc

  - ### scrollerButtonSize

    public String scrollerButtonSize

  - ### scrollerHSrc

    public String scrollerHSrc

  - ### scrollerSrc

    public String scrollerSrc

  - ### scrollerVSrc

    public String scrollerVSrc

  - ### selectedTabAsTab

    public Tab selectedTabAsTab

  - ### selectedTabAsString

    public String selectedTabAsString

  - ### showMoreTab

    public String showMoreTab

  - ### showPaneContainerEdges

    public String showPaneContainerEdges

  - ### showPartialEdges

    public String showPartialEdges

  - ### showTabBar

    public String showTabBar

  - ### showTabPicker

    public String showTabPicker

  - ### showTabScroller

    public String showTabScroller

  - ### simpleTabBaseStyle

    public String simpleTabBaseStyle

  - ### simpleTabIconOnlyBaseStyle

    public String simpleTabIconOnlyBaseStyle

  - ### skinImgDir

    public String skinImgDir

  - ### symmetricEdges

    public String symmetricEdges

  - ### symmetricPickerButton

    public String symmetricPickerButton

  - ### symmetricScroller

    public String symmetricScroller

  - ### tabBarAlignAsString

    public String tabBarAlignAsString

  - ### tabBarControls

    public String[] tabBarControls

  - ### tabBarPosition

    public String tabBarPosition

  - ### tabBarThickness

    public String tabBarThickness

  - ### tabs

    public Tab[] tabs

  - ### titleEditEvent

    public String titleEditEvent

  - ### titleEditorLeftOffset

    public String titleEditorLeftOffset

  - ### titleEditorRightOffset

    public String titleEditorRightOffset

  - ### titleEditorTopOffset

    public String titleEditorTopOffset

  - ### touchPickerButtonSize

    public String touchPickerButtonSize

  - ### useIOSTabs

    public String useIOSTabs

  - ### useSimpleTabs

    public String useSimpleTabs

- ## Constructor Details

  - ### TabSetLogicalStructure

    public TabSetLogicalStructure()